curl --request PATCH \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/insight-silences/{silence_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "<string>",
"author": "<string>",
"expire_at": "2023-11-07T05:31:56Z",
"labels": {}
}
'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/insight-silences/{silence_id}"
payload = {
"comment": "<string>",
"author": "<string>",
"expire_at": "2023-11-07T05:31:56Z",
"labels": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
comment: '<string>',
author: '<string>',
expire_at: '2023-11-07T05:31:56Z',
labels: {}
})
};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/insight-silences/{silence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insight_type": "<string>",
"labels": {},
"comment": "<string>",
"author": "<string>",
"expire_at": "2023-11-07T05:31:56Z"
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Update an insight silence
Update an insight silence for a specific domain.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
The domain ID
A generated unique identifier for the silence
Body
A comment explaining the reason for the silence
180The author of the silence
180The date and time the silence expires in ISO 8601 format
A hash table of label names and values that apply to the insight silence
Show child attributes
Show child attributes
Response
Successful Response
A generated unique identifier for the silence
The slug of the insight type
A hash table of label names and values that apply to the insight silence
Show child attributes
Show child attributes
A comment explaining the reason for the silence
The author of the silence
The date and time the silence expires in ISO 8601 format
Was this page helpful?